Package com.verisign.epp.codec.fee.v1_0

## Enum Command

- java.lang.Object
- - java.lang.Enum<Command>
  - - com.verisign.epp.codec.fee.v1_0.Command

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Command>`

      public enum Command
      extends java.lang.Enum<Command>

  Commands, which include the following possible values:
  - `CREATE` - Create command.
  - `DELETE` - Delete command.
  - `RENEW` - Renew command.
  - `UPDATE` - Update command.
  - `TRANSFER` - Transfer command.
  - `RESTORE` - Restore command.
  - `CUSTOM` - Custom command that is defined using a free-form attribute like the "customName" attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CREATE` |
    `CUSTOM` |
    `DELETE` |
    `RENEW` |
    `RESTORE` |
    `TRANSFER` |
    `UPDATE` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Command` | `getCommand​(java.lang.String aString)` | Get the command enumerated value given the matching string.
    `java.lang.String` | `toString()` | Convert the enumerated `Command` value to a `String`.
    `static Command` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Command[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATE

          public static final Command CREATE

    - #### DELETE

          public static final Command DELETE

    - #### RENEW

          public static final Command RENEW

    - #### UPDATE

          public static final Command UPDATE

    - #### TRANSFER

          public static final Command TRANSFER

    - #### RESTORE

          public static final Command RESTORE

    - #### CUSTOM

          public static final Command CUSTOM

  - ### Method Detail

    - #### values

          public static Command[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Command c : Command.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Command valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCommand

          public static Command getCommand​(java.lang.String aString)

      Get the command enumerated value given the matching string.
      Parameters:
        `aString` - `Command` enumerated string to convert to an enumerated `Command` instance.
      Returns:
        Enumerated `Command` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `Command` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Command` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<Command>`